%define upstream_name    Dist-Zilla-Plugin-ReadmeAnyFromPod
%define upstream_version 0.161170

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Automatically convert POD to a README in any format for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::FileWatcher)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Path::Tiny) >= 0.4.0
BuildRequires: perl(Pod::Markdown) >= 2.0.0
BuildRequires: perl(Pod::Simple::HTML) >= 3.230.0
BuildRequires: perl(Pod::Simple::Text) >= 3.230.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(autodie)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Generates a README for your the Dist::Zilla manpage powered dist from its
'main_module' in any of several formats. The generated README can be
included in the build or created in the root of your dist for e.g.
inclusion into version control.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.161.170-2.mga6
+ Revision: 1026560
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.161.170-1.mga6
+ Revision: 1007592
- update to 0.161170

* Sun Mar 13 2016 shlomif <shlomif> 0.160.630-1.mga6
+ Revision: 989814
- update to 0.160630

* Thu Feb 18 2016 umeabot <umeabot> 0.150.250-2.mga6
+ Revision: 966708
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.150.250-1.mga6
+ Revision: 846586
- update to 0.150250

* Wed Oct 15 2014 umeabot <umeabot> 0.142.470-3.mga5
+ Revision: 750529
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.142.470-1.mga5
+ Revision: 672813
- update to 0.142470

* Fri Aug 15 2014 sander85 <sander85> 0.142.250-1.mga5
+ Revision: 662588
- update to 0.142250

* Thu Aug 07 2014 sander85 <sander85> 0.142.180-1.mga5
+ Revision: 660531
- update to 0.142180

* Thu Jun 26 2014 jquelin <jquelin> 0.141.760-1.mga5
+ Revision: 639958
- update to 0.141760

* Tue May 06 2014 jquelin <jquelin> 0.141.120-1.mga5
+ Revision: 620615
- update to 0.141120

* Sat Feb 08 2014 sander85 <sander85> 0.133.360-1.mga5
+ Revision: 586331
- update to 0.133360

* Sat Oct 19 2013 umeabot <umeabot> 0.131.500-2.mga4
+ Revision: 526959
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.131.500-1.mga4
+ Revision: 439179
- update to 0.131500

* Sun Jan 13 2013 umeabot <umeabot> 0.120.120-2.mga3
+ Revision: 366376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.120.120-1.mga2
+ Revision: 200862
- update to 0.120120

* Mon Jan 09 2012 jquelin <jquelin> 0.120.53-1.mga2
+ Revision: 193790
- update to 0.120053

* Thu Jan 05 2012 jquelin <jquelin> 0.120.40-1.mga2
+ Revision: 191175
- update to 0.120040

* Tue Mar 15 2011 jquelin <jquelin> 0.103.522-1.mga1
+ Revision: 71585
- imported package perl-Dist-Zilla-Plugin-ReadmeAnyFromPod


* Tue Mar 15 2011 cpan2dist 0.103522-1mga
- initial mageia release, generated with cpan2dist
